Bug 197867 - Review Request: iscsitarget (includes kernel module)
Summary: Review Request: iscsitarget (includes kernel module)
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL: http://iscsitarget.sourceforge.net
Whiteboard:
Keywords:
: 219056 (view as bug list)
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2006-07-06 19:49 UTC by Ian Pilcher
Modified: 2007-12-21 20:22 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-21 20:22:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ian Pilcher 2006-07-06 19:49:16 UTC
Proposed package name:  iscsitarget (and kmod-iscsitarget)

Project URL:  http://iscsitarget.sourceforge.net

Tarball:  http://download.sf.net/iscsitarget/iscsitarget-0.4.13.tar.gz

License:  GPL

Explanation:

It won't get merged. At some point it was submitted to linux-scsi for
review:
http://marc.theaimsgroup.com/?l=linux-scsi&m=110966161714414&w=2

However, IET will be superceded by a generic target framework:
http://developer.berlios.de/projects/stgt
. "tgt" will also provide iSCSI target functionality (among others). It
is more likely to be merged, because it addresses the points made in the
linux-scsi review, and well, because it's a generic framework. ;-)

HTH,
Arne


Note:  I will be adding a warning about the "stopgap" status of the project
to the %description of each package.

Comment 1 Thorsten Leemhuis 2006-07-09 13:45:49 UTC
Was there any specific reason why you assigned this bug directly to me?

Comment 2 Ian Pilcher 2006-07-09 15:50:16 UTC
(In reply to comment #1)
> Was there any specific reason why you assigned this bug directly to me?

I was trying to follow the instructions at:

    http://www.fedoraproject.org/wiki/Packaging/KernelModules

    Besides rules around the packaging there is one additional *before* you
    start packaging a kernel module for Fedora Extras: Open a Review bug in
    [WWW] http://bugzilla.redhat.com and ask FESCo via
    fedora<AT>leemhuis<DOT>info for permission if this module is allowed for
    Extras.

Comment 3 Thorsten Leemhuis 2006-07-09 16:27:19 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > Was there any specific reason why you assigned this bug directly to me?
> 
> I was trying to follow the instructions at:

Okay, sorry, I didn't get that ;-)

Comment 4 Thorsten Leemhuis 2006-07-09 16:28:54 UTC
(In reply to comment #3)
> Okay, sorry, I didn't get that ;-)
Ohh, and we'll look at it during the next meeting on thursday and post results here


Comment 5 Thorsten Leemhuis 2006-07-21 16:48:29 UTC
(In reply to comment #4)
> (In reply to comment #3)
> > Okay, sorry, I didn't get that ;-)
> Ohh, and we'll look at it during the next meeting on thursday and post results
here

Sorry, we forget to discuss it last week. But we discussed it yesterday in the
FESCo-Meeting and allowed this kmod to enter Extras.

Comment 6 Dennis Gilmore 2006-11-02 20:51:35 UTC
whats the current status of this package?

Comment 7 Dennis Gilmore 2006-11-28 13:20:10 UTC
Ian will you be submitting packages?

Comment 10 Mike McGrath 2007-03-09 15:18:25 UTC
Just curious, why is i386 not included as an exclusive arch:
ExclusiveArch:  i586 i686 x86_64 ppc

Comment 11 David Juran 2007-03-12 12:54:35 UTC
Well, we're not shipping any i386 kernel for starters...

Comment 12 Mike Christie 2007-06-26 09:27:02 UTC
Hey, I made a package for stgt in this bugzilla
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=245708

It is currently very basic. For example you have to run tgtadm by hand to create
targets. I am working on a tool, that will read iet config files and translate
it to tgtadm calls for a user.

Comment 13 Jerry Amundson 2007-07-05 16:51:36 UTC
Perhaps this duplication has already been discussed?
Bugzilla Bug 219056: Review Request: iscsitarget - iSCSI Enterprise Target

Comment 14 Mike Christie 2007-07-06 18:17:07 UTC
(In reply to comment #13)
> Perhaps this duplication has already been discussed?
> Bugzilla Bug 219056: Review Request: iscsitarget - iSCSI Enterprise Target

I do not think anyone knew there was another request and review for IET.

Comment 15 Jason Tibbitts 2007-07-06 19:00:17 UTC
It was submitted after this one.  I think I'll just close it as a duplicate.

Comment 16 Jason Tibbitts 2007-07-06 19:01:44 UTC
*** Bug 219056 has been marked as a duplicate of this bug. ***

Comment 17 Jason Tibbitts 2007-09-26 23:02:27 UTC
Hmm, now that FESCo has decided not to permit kernel modules at all, what's to
become of this ticket?  Will someone talk to the kernel folks to see if they'd
be interested in adding the module portion to the kewnel package?

Comment 18 Jason Tibbitts 2007-12-21 20:22:33 UTC
Well, it's been three more months; I don't see any progress here and the module
simply isn't going to go into Fedora unless it goes either via the upstream
kernel or by convincing the Fedora kernel maintainers to carry it even when
upstream doesn't.

So I'll go ahead and close this.


Note You need to log in before you can comment on or make changes to this bug.